net.corda.core.node

## Interface ServicesForResolution

- All Known Subinterfaces:
    PluginServiceHub, ServiceHub
  All Known Implementing Classes:
    ServiceHubInternal

      public ServicesForResolution

  Subset of node services that are used for loading transactions from the wire into fully resolved, looked up forms ready for verification.

  See Also:
    `interface ServiceHub`

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `IdentityService` | `getIdentityService()`
    `AttachmentsStorageService` | `getStorageService()`
    `TransactionState<?>` | `loadState(StateRef stateRef)` Given a `class StateRef` loads the referenced transaction and looks up the specified output `interface ContractState`.

- - ### Method Detail

    - #### getIdentityService

          IdentityService getIdentityService()

    - #### getStorageService

          AttachmentsStorageService getStorageService()

    - #### loadState

          TransactionState<?> loadState(StateRef stateRef)

      Given a `class StateRef` loads the referenced transaction and looks up the specified output `interface ContractState`.

      Throws:
        - if the `class StateRef` points to a non-existent transaction.
      See Also:
        `class StateRef`, `interface ContractState`